1. Rhibot's Avatar
    I just got the blackberry 8800 from a friend and i would like to download the newer version of bbm to the phone and some more apps. but it always gives me the msg " your device does not support facebook/bb world app ect... is there any way to fix this beacuse i desperatley want the newer apps esp bbm
    10-09-10 10:51 AM
  2. yapsalot's Avatar
    Hmm I have a 8800 and Iv downloaded the newest version. Do u have a plan? I am on pay as u go Rogers social (40$) unlimited Fb/twitter/blah texts etc etc. but no internet or Data plan.

    depending also on if your friend had gotten it from work they might have it blocked and if so I am not sure what the steps are for removing that block. I am sure someone else can help tho.

    BTW Welcome to The forum
    Last edited by yapsalot; 10-09-10 at 11:23 AM.
    10-09-10 11:15 AM
  3. Rhibot's Avatar
    yes im on a plan, and no nothing is blocked from his side i can use everything else its just that i want the newer version of bbm and it wont support it well thats what the msg says anyways
    10-09-10 11:35 AM
  4. californiablackberry's Avatar
    Your Blackberry is an older model/OS.
    The update your trying to install probably isn't compatible with your OS.
    10-09-10 11:45 AM
  5. yapsalot's Avatar
    what OS are u using? options->about mine is 4.5.0.188 running BBM 5.0.1.38

    Might have to delete FB/BBM completely to get newest version
    10-09-10 01:09 PM
  6. iBlack11's Avatar
    Yes you can download BBM 5 on it. I downloaded it for a 8830 recently so I am sure you can do it. Thats if you have your data plan etc....
    10-11-10 10:43 PM
  7. Neubie2's Avatar
    Yes. My old 8820 was running O/S 4.5.0 and I installed BBM 5.0 on it no problem, and it worked just fine. Man I miss that old Berry sometimes. Also had the UMA working good on it.

    Posted from my CrackBerry at wapforums.crackberry.com

    Posted from my CrackBerry at wapforums.crackberry.com
    10-21-10 08:14 PM
LINK TO POST COPIED TO CLIPBOARD